# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Math/BaseCalc.pm) perl(Net/Dict.pm) perl(Storable.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.1601
%define module_name Lingua-TokenParse
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1601
Release: alt1
Summary: Parse a word into scored, fragment combinations
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GE/GENE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This class represents a Lingua::TokenParse object and contains
methods to parse a given word into familiar combinations based
on a lexicon of known word parts.  This lexicon is a simple
*fragment => definition* list.

Words like "automobile" and "deoyribonucleic" are composed of
different roots, prefixes, suffixes, etc.  With a lexicon of known
fragments, a word can be partitioned into a list of its (possibly
overlapping) known and unknown fragment combinations.

These combinations can be given a score, which represents a measure of
word familiarity.  This measure is a set of ratios of known to unknown
fragments and letters.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/L*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.1601-alt1
- initial import by package builder

